<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/PortTwoPinsEnable.cpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('PortTwoPinsEnable_8cpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PortTwoPinsEnable.cpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">project: &lt;Accessories&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">author: &lt;Thierry PARIS&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">description: &lt;Driver port with 2 pins and an Enable pin&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">*************************************************************/</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="Accessories_8h.html">Accessories.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="classPortTwoPinsEnable.html#a53730544356887941615c2dcecc47a15">    9</a></span>&#160;<a class="code" href="classPortTwoPinsEnable.html#a53730544356887941615c2dcecc47a15">PortTwoPinsEnable::PortTwoPinsEnable</a>() : <a class="code" href="classPortTwoPins.html">PortTwoPins</a>()</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;{</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;}</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classPortTwoPinsEnable.html#ace42491faa51d0ecd1b3d29fa06d3666">   13</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">PortTwoPinsEnable::begin</a>(<span class="keywordtype">int</span> inPinA, <span class="keywordtype">int</span> inPinB, PIN_TYPE inType, <span class="keywordtype">int</span> inPinEnable, PIN_TYPE inTypeEnable)</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;{</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    this-&gt;<a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">PortTwoPins::begin</a>(inPinA, inPinB, inType);</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    this-&gt;<a class="code" href="classPortTwoPinsEnable.html#ab8879570799f73285dbf4f845afadd02">pinTypeEnable</a> = inTypeEnable;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    this-&gt;<a class="code" href="classPortTwoPinsEnable.html#a560e6f9d7b54f819406f24a7c89049dd">pinEnable</a> = this-&gt;<a class="code" href="classPort.html#ad5c7ecf52b369e61dcc1353b81532bf5">beginPin</a>(inPinEnable, inTypeEnable);</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    CHECKPIN(this-&gt;<a class="code" href="classPortTwoPinsEnable.html#a560e6f9d7b54f819406f24a7c89049dd">pinEnable</a>, inType, <span class="stringliteral">&quot;PortTwoPinsEnable::begin&quot;</span>);</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;}</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classPortTwoPinsEnable.html#a2b424834184dbc468976ee24ef11a25d">   23</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classPortTwoPinsEnable.html#a2b424834184dbc468976ee24ef11a25d">PortTwoPinsEnable::MoveLeftDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration)</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;{</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    Serial.print(this-&gt;<a class="code" href="classPortTwoPins.html#a1df61a42c032f2d9a6c5a7c42cc6c5b9">GetPinA</a>());</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; / &quot;</span>));</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    Serial.print(this-&gt;<a class="code" href="classPortTwoPins.html#a03e586b8f8b95b6286b4d25bbf2cab0a">GetPinB</a>());</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; PortTwoPinsEnable MoveLeftDir() &quot;</span>));</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keywordflow">if</span> (inDuration != 0)</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        Serial.print(F(<span class="stringliteral">&quot;for &quot;</span>));</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        Serial.print(inDuration);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;ms&quot;</span>));</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    }</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        Serial.println(<span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    this-&gt;Move(LOW, HIGH, HIGH);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordflow">if</span> (inDuration != 0)</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        delay(inDuration);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        this-&gt;Move(LOW, LOW, LOW);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    }</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    this-&gt;<a class="code" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a> = PORT_LEFT;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;}</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classPortTwoPinsEnable.html#a4a5631811961b21f0167e6defca53aa7">   52</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classPortTwoPinsEnable.html#a4a5631811961b21f0167e6defca53aa7">PortTwoPinsEnable::MoveRightDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration)</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;{</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    Serial.print(this-&gt;<a class="code" href="classPortTwoPins.html#a1df61a42c032f2d9a6c5a7c42cc6c5b9">GetPinA</a>());</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; / &quot;</span>));</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    Serial.print(this-&gt;<a class="code" href="classPortTwoPins.html#a03e586b8f8b95b6286b4d25bbf2cab0a">GetPinB</a>());</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; PortTwoPinsEnable MoveRightDir() &quot;</span>));</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordflow">if</span> (inDuration != 0)</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    {</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        Serial.print(F(<span class="stringliteral">&quot;for &quot;</span>));</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        Serial.print(inDuration);</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;ms&quot;</span>));</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    }</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        Serial.println(<span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    this-&gt;Move(HIGH, LOW, HIGH);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keywordflow">if</span> (inDuration != 0)</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    {</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        delay(inDuration);</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        this-&gt;Move(LOW, LOW, LOW);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    }</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    this-&gt;<a class="code" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a> = PORT_RIGHT;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;}</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="classPortTwoPinsEnable.html#afd93143e4445f5751d3cd504e76ebc2f">   81</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classPortTwoPinsEnable.html#afd93143e4445f5751d3cd504e76ebc2f">PortTwoPinsEnable::MoveStop</a>()</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;{</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    Serial.print(this-&gt;<a class="code" href="classPortTwoPins.html#a1df61a42c032f2d9a6c5a7c42cc6c5b9">GetPinA</a>());</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; / &quot;</span>));</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    Serial.print(this-&gt;<a class="code" href="classPortTwoPins.html#a03e586b8f8b95b6286b4d25bbf2cab0a">GetPinB</a>());</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    Serial.println(F(<span class="stringliteral">&quot; PortTwoPinsEnable MoveStop() &quot;</span>));</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    this-&gt;Move(LOW, LOW, LOW);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    this-&gt;<a class="code" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a> = PORT_STOP;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;}</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="keywordtype">void</span> PortTwoPinsEnable::Move(<span class="keywordtype">int</span> inValA, <span class="keywordtype">int</span> inValB, <span class="keywordtype">int</span> inValEnable)</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;{</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <a class="code" href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">MovePin</a>(this-&gt;<a class="code" href="classPortTwoPins.html#af91b064f4feedd3a21dfcd6b383b94f7">pinA</a>, inValA);</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <a class="code" href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">MovePin</a>(this-&gt;<a class="code" href="classPortTwoPins.html#ac5a0361f93f9c6a4850d852ae3320d0d">pinB</a>, inValB);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <a class="code" href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">MovePin</a>(this-&gt;<a class="code" href="classPortTwoPinsEnable.html#a560e6f9d7b54f819406f24a7c89049dd">pinEnable</a>, inValEnable, this-&gt;<a class="code" href="classPortTwoPinsEnable.html#ab8879570799f73285dbf4f845afadd02">pinTypeEnable</a>);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;}</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="keywordtype">void</span> PortTwoPinsEnable::printPort()</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;{</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;[PortTwoPinsEnable pinA:&quot;</span>));</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    Port::printPortPin(this-&gt;<a class="code" href="classPortTwoPins.html#af91b064f4feedd3a21dfcd6b383b94f7">pinA</a>, this-&gt;<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a>);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; pinB:&quot;</span>));</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    Port::printPortPin(this-&gt;<a class="code" href="classPortTwoPins.html#ac5a0361f93f9c6a4850d852ae3320d0d">pinB</a>, this-&gt;<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a>);</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; enable:&quot;</span>));</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    Port::printPortPin(this-&gt;<a class="code" href="classPortTwoPinsEnable.html#a560e6f9d7b54f819406f24a7c89049dd">pinEnable</a>, this-&gt;<a class="code" href="classPortTwoPinsEnable.html#ab8879570799f73285dbf4f845afadd02">pinTypeEnable</a>);</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;]&quot;</span>));</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;}</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classPort_html_ad7ef0d65cab5721a7e2d9b2a71663eef"><div class="ttname"><a href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">Port::pinType</a></div><div class="ttdeci">PIN_TYPE pinType</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00065">Port.hpp:65</a></div></div>
<div class="ttc" id="classPortTwoPins_html_ac5a0361f93f9c6a4850d852ae3320d0d"><div class="ttname"><a href="classPortTwoPins.html#ac5a0361f93f9c6a4850d852ae3320d0d">PortTwoPins::pinB</a></div><div class="ttdeci">int pinB</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00022">PortTwoPins.hpp:22</a></div></div>
<div class="ttc" id="classPortTwoPins_html_af91b064f4feedd3a21dfcd6b383b94f7"><div class="ttname"><a href="classPortTwoPins.html#af91b064f4feedd3a21dfcd6b383b94f7">PortTwoPins::pinA</a></div><div class="ttdeci">int pinA</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00017">PortTwoPins.hpp:17</a></div></div>
<div class="ttc" id="classPort_html_a8d01bcb7d500d5bc3d18c7665123c942"><div class="ttname"><a href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">Port::MovePin</a></div><div class="ttdeci">void MovePin(int inPin, int inValue, PIN_TYPE inType = UNDEFINED) const </div><div class="ttdef"><b>Definition:</b> <a href="Port_8cpp_source.html#l00092">Port.cpp:92</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_afd93143e4445f5751d3cd504e76ebc2f"><div class="ttname"><a href="classPortTwoPinsEnable.html#afd93143e4445f5751d3cd504e76ebc2f">PortTwoPinsEnable::MoveStop</a></div><div class="ttdeci">void MoveStop()</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8cpp_source.html#l00081">PortTwoPinsEnable.cpp:81</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_a4a5631811961b21f0167e6defca53aa7"><div class="ttname"><a href="classPortTwoPinsEnable.html#a4a5631811961b21f0167e6defca53aa7">PortTwoPinsEnable::MoveRightDir</a></div><div class="ttdeci">void MoveRightDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8cpp_source.html#l00052">PortTwoPinsEnable.cpp:52</a></div></div>
<div class="ttc" id="classPort_html_ad71ca654c312fdec59194e393411fce0"><div class="ttname"><a href="classPort.html#ad71ca654c312fdec59194e393411fce0">Port::state</a></div><div class="ttdeci">PORT_STATE state</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00067">Port.hpp:67</a></div></div>
<div class="ttc" id="classPortTwoPins_html_a03e586b8f8b95b6286b4d25bbf2cab0a"><div class="ttname"><a href="classPortTwoPins.html#a03e586b8f8b95b6286b4d25bbf2cab0a">PortTwoPins::GetPinB</a></div><div class="ttdeci">int GetPinB() const </div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00050">PortTwoPins.hpp:50</a></div></div>
<div class="ttc" id="classPortTwoPins_html_a1df61a42c032f2d9a6c5a7c42cc6c5b9"><div class="ttname"><a href="classPortTwoPins.html#a1df61a42c032f2d9a6c5a7c42cc6c5b9">PortTwoPins::GetPinA</a></div><div class="ttdeci">int GetPinA() const </div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00042">PortTwoPins.hpp:42</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_a2b424834184dbc468976ee24ef11a25d"><div class="ttname"><a href="classPortTwoPinsEnable.html#a2b424834184dbc468976ee24ef11a25d">PortTwoPinsEnable::MoveLeftDir</a></div><div class="ttdeci">void MoveLeftDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8cpp_source.html#l00023">PortTwoPinsEnable.cpp:23</a></div></div>
<div class="ttc" id="classPort_html_ad5c7ecf52b369e61dcc1353b81532bf5"><div class="ttname"><a href="classPort.html#ad5c7ecf52b369e61dcc1353b81532bf5">Port::beginPin</a></div><div class="ttdeci">int beginPin(int inPin, PIN_TYPE inType = UNDEFINED) const </div><div class="ttdef"><b>Definition:</b> <a href="Port_8cpp_source.html#l00074">Port.cpp:74</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_a560e6f9d7b54f819406f24a7c89049dd"><div class="ttname"><a href="classPortTwoPinsEnable.html#a560e6f9d7b54f819406f24a7c89049dd">PortTwoPinsEnable::pinEnable</a></div><div class="ttdeci">int pinEnable</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8hpp_source.html#l00018">PortTwoPinsEnable.hpp:18</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_ab8879570799f73285dbf4f845afadd02"><div class="ttname"><a href="classPortTwoPinsEnable.html#ab8879570799f73285dbf4f845afadd02">PortTwoPinsEnable::pinTypeEnable</a></div><div class="ttdeci">PIN_TYPE pinTypeEnable</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8hpp_source.html#l00022">PortTwoPinsEnable.hpp:22</a></div></div>
<div class="ttc" id="classPort_html_a110847fdec661d0e94a3a22edd9fe32a"><div class="ttname"><a href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a></div><div class="ttdeci">virtual void begin()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00099">Port.hpp:99</a></div></div>
<div class="ttc" id="classPortTwoPins_html"><div class="ttname"><a href="classPortTwoPins.html">PortTwoPins</a></div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00010">PortTwoPins.hpp:10</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_a53730544356887941615c2dcecc47a15"><div class="ttname"><a href="classPortTwoPinsEnable.html#a53730544356887941615c2dcecc47a15">PortTwoPinsEnable::PortTwoPinsEnable</a></div><div class="ttdeci">PortTwoPinsEnable()</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8cpp_source.html#l00009">PortTwoPinsEnable.cpp:9</a></div></div>
<div class="ttc" id="Accessories_8h_html"><div class="ttname"><a href="Accessories_8h.html">Accessories.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>PortTwoPinsEnable.cpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
